# Copyright 2022-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

PYTHON_COMPAT=( python3_{12..13} )
inherit meson vala gnome2-utils python-any-r1

MY_PN="SwaySettings"
DESCRIPTION="A gui for setting sway wallpaper, default apps, GTK themes, etc..."
HOMEPAGE="https://github.com/ErikReider/SwaySettings"
SRC_URI="https://github.com/ErikReider/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/${MY_PN}-${PV}"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"

DEPEND="
	dev-libs/glib:2
	dev-libs/gobject-introspection
	dev-libs/granite:=
	dev-libs/json-glib
	dev-libs/libgee:0.8=
	dev-libs/libxml2
	dev-libs/wayland
	dev-util/blueprint-compiler
	gnome-base/gsettings-desktop-schemas:=
	gnome-base/libgtop:2
	>=gui-libs/gtk4-layer-shell-1.0.2[introspection,vala]
	>=gui-libs/libadwaita-1.6:=
	media-libs/libpulse
	sys-apps/dbus
	x11-libs/gdk-pixbuf:2
	x11-libs/gtk+:4
	x11-misc/xkeyboard-config
"
RDEPEND="
	${DEPEND}
	x11-libs/cairo
	x11-libs/pango
"

BDEPEND="
	${PYTHON_DEPS}
	$(vala_depend)
	app-text/scdoc
"

src_configure() {
	meson_src_configure
}

src_prepare() {
	default
	vala_setup
}

src_compile() {
	meson_src_compile
}

pkg_postinst() {
	gnome2_schemas_update
}

pkg_postrm() {
	gnome2_schemas_update
}
